Subject: New Reply Received - Homebox, you have a pathetic customer service, incompetent staff and cheat customer. I have placed a...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 14 Apr 2021 16:28:07 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  Homebox, you have a pathetic customer service, incompetent staff and cheat customer. I have placed a...  Ticket comment <div>Homebox Stores . And I really hope that the authorities penalise you to the extent that you realise that cheating is indeed expensive and refrain from it in future. Otherwise you guys dont have enough business ethics to realize it yourself </div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2401853